Subject: Re: [PATCH v3] build: add default aliases

From: Jonathan Nieder <[email-masked]>
Date: Mon, 30 Sep 2013 12:33:43 -0700

Michael Haggerty wrote:

> That being said, independent of aliases, there are many other config
> settings that can affect commands that might be used in documentation or
> scripts, and which also could be the source of errors for the non-vigilent.

Yep, this is a problem, too (I'm looking at you, "git push").  We try
to avoid this problem or balance it against convenience by being
careful when adding new configuration, but sometimes we slip up.

Thanks for your thoughtfulness.

Sincerely,
Jonathan